Subject: Re: [PATCH net-next 2/6] net: Move call_fib_rule_notifiers up in fib_nl_newrule

From: Ido Schimmel <[email-masked]>
Date: Thu, 29 Mar 2018 11:22:39 +0300

On Tue, Mar 27, 2018 at 06:21:56PM -0700, David Ahern wrote:
> Move call_fib_rule_notifiers up in fib_nl_newrule to the point right
> before the rule is inserted into the list. At this point there are no
> more failure paths within the core rule code, so if the notifier
> does not fail then the rule will be inserted into the list.
> 
> Signed-off-by: David Ahern <[email-masked]>

BTW, this means we can now return an error from mlxsw instead of only
emitting an extack warning when an unsupported FIB rule is configured.
Will add that.